Subject: Re: [RFC PATCH 0/3] git-p4: move to toplevel

From: Pete Wyckoff <[email-masked]>
Date: Mon, 13 Feb 2012 18:37:06 -0500

[email-masked] wrote on Sun, 12 Feb 2012 22:17 -0800:
> Luke Diamand <[email-masked]> writes:
> 
> > On 12/02/12 18:13, Pete Wyckoff wrote:
> >> The git-p4 code is in a single python script down in
> >> contrib/fast-import now.  I'd like to move it up to the top-level
> >> source directory of git to make it easier to build and
> >> distribute.  Git-p4 already takes advantage of the git
> >> infrastructure for documentation and testing, as well as the
> >> community support (Junio, many reviewers).
> >
> > About time this was done. There's still a few oddities around but far
> > fewer than there used to be. I don't know if Junio has some rules on
> > what a command needs before it graduates from contrib though.
> 
> I try not to play a dictator around here. The primary thing I hesitated so
> far about git-p4 is that it is useless if you live in the open source only
> world, iow without proprietary software.

Yes, sad.  Git-p4 at least helps people who have no choice but to
use p4, e.g., when working in a corporate environment.

It's been a big help developing git-p4 inside the git source tree
already.  Having git-p4 be an installed component would make it
easier on users.  "make install" puts the script where it goes.
Or better, they get it through their OS distribution.

		-- Pete